@include responsive-body-font(13px, 16px, 768px, 1365px);
@include responsive-body-font(12px, 13px, 319px, 768px);

@media all and (max-width: 1599px) {
  .price-section__single-info {
    margin-top: 35px;
  }
}
@media all and (max-width: 1365px) {
  .main-header-wrapper {
    padding-top: 20px;
  }
  .price-section__content {
    max-width: 1035px;
    padding-right: 15px;
    padding-left: 15px;
  }
  .button-container {
    padding-top: 40px;
  }
}
@media all and (max-width: 1100px) {
  .main-navigation__item {
    margin: 0 14px;
  }
  .about-us-section .button-container {
    padding-top: 20px;
  }
  .services-section__single {
    @at-root &__icon {
      margin-bottom: 15px;
    }
    @at-root &__text {
      margin-top: 20px;
    }
  }
  .price-section__single-info {
    margin-top: 20px;
    margin-left: 21vw;
  }
  .contact-option__single-icon {
    font-size: 28px;
  }
}
@media all and (max-width: 1023px) {
  .about-us {
    @at-root &-section {
      position: relative;
    }
    @at-root &__image {
      width: 100%;
    }
    @at-root &__content-wrapper {
      background-color: rgba(255, 255, 255, 0.85);
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 100%;
    }
  }
  .main-header {
    @at-root &-wrapper {
      align-items: center;
      justify-content: space-between;
    }
    .main-navigation {
      background-color: #ffffff;
      box-shadow: 0px 0px 15px 1px rgba(0, 0, 0, 0.3);
      display: flex;
      align-items: center;
      justify-content: center;
      top: 0;
      right: calc(-100% - 17px);
      bottom: 0;
      height: 100vh;
      width: 76%;
      position: fixed;
      margin-right: 0;
      overflow-y: auto;
      &.expanded {
        right: 0;
      }
      @at-root &__list {
        flex-direction: column;
      }
      @at-root &__item {
        margin: 17px 0;
        text-align: center;
        &:first-of-type {
          margin-top: 0;
        }
        &:last-of-type {
          margin-bottom: 0;
        }
        a {
          color: $brand-color;
        }
      }
    }
  }
  .main-footer {
    padding-top: 30px;
  }
}
@media all and (max-width: 959px) {
  .hero-section {
    .section-header {
      font-size: 4em;
      letter-spacing: 0.15em;
    }
    .button-container {
      padding-top: 20px;
      a.main-button {
        padding: 12px 37px 14px;
      }
    }
  }
  .price-section {
    @at-root &__image {
      display: none;
    }
    @at-root &__content {
      background-color: $main-bg-color;
      padding: 35px 15px;
      position: relative;
    }
  }
}
@media all and (max-width: 799px) {
  .subheader-contact__item {
    font-size: 14px;
  }
}
@media all and (max-width: 767px) {
  .main-header__logo-wrapper {
    img {
      max-width: 130px;
    }
  }
  .price-section__single-info {
    margin-left: 0;
    @at-root &__icon {
      margin-right: 25px;
    }
  }
  .contact-option__single {
    max-width: 370px;
    margin: 0 auto 15px;
  }
  .main-footer {
    @at-root &-wrapper {
      flex-wrap: wrap;
      > a {
        width: 100%;
      }
    }
    .main-header__logo-wrapper {
      margin-bottom: 25px;
      img {
        margin: auto;
      }
    }
    .main-navigation {
      justify-content: space-around;
      margin-left: initial;
      width: 100%;
      @at-root &__list {
        flex-wrap: wrap;
      }
    }
  }
}
@media all and (max-width: 639px) {
  .hero-section {
    @at-root &__content-wrapper {
      padding-top: 50px;
    }
    .button-container {
      display: none;
    }
    .scroll {
      bottom: 5px;
    }
  }
}
@media all and (max-width: 567px) {
  .subheader-contact {
    @at-root &__list {
      justify-content: space-around;
    }
    @at-root &__item {
      margin-left: 0;
    }
  }
  .services-section__content {
    padding: 0;
  }
  .main-footer {
    .main-navigation {
      @at-root &__list {
        justify-content: space-between;
        max-width: 280px;
        margin: auto;
        padding: 0 15px;
      }
      @at-root &__item {
        display: inline-flex;
        width: 38%;
        margin: 0 0 15px;
      }
    }
    .moto {
      p {
        text-align: center;
      }
    }
  }
}
@media all and (max-width: 500px) {
  .main-header {
    @at-root &-wrapper {
      > a {
        width: 100%;
      }
    }
    @at-root &__logo-wrapper {
      img {
        max-width: 150px;
        margin: auto;
      }
    }
  }
  .hamburger {
    position: absolute;
    top: 30px;
    right: 30px;
  }
  .hero-section .section-header {
    display: none;
  }
  .about-us {
    @at-root &__content-wrapper {
      padding: 35px 0;
      position: static;
    }
    @at-root &__image {
      display: none;
    }
  }
}
@media all and (max-width: 374px) {
  .hero-section {
    @at-root &__subheader {
      padding-top: 15px;
    }
    .scroll {
      display: none;
    }
  }
  .subheader-contact__item {
    font-size: 11px;
  }
}